For the latest news and information visit The GNU Crypto project

## javax.crypto.interfaces
Interface DHPublicKey

All Superinterfaces:
  DHKey, java.security.Key, java.security.PublicKey, java.io.Serializable

All Known Implementing Classes:
  GnuDHPublicKey

public interface DHPublicKey
extends DHKey, java.security.PublicKey

The interface to a Diffie-Hellman public key.

See Also:
  `DHKey`, `DHPrivateKey`

Field Summary

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Method Summary
`java.math.BigInteger` `getY()` Returns the public value, `y`.

Methods inherited from interface javax.crypto.interfaces.DHKey
`getParams`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getY

    public java.math.BigInteger getY()

  Returns the public value, `y`.

  Returns:
    the public value, `y`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.